# Ramp

### Overview

The Veza integration for Ramp discovers authorization relationships within a Ramp Business and its Departments, Users, and Roles. It uses Open Authorization API to generate Access Graph entities based on the following mapping:

* Ramp Business → Custom Application
* Ramp Department → Local Group
* Ramp User → Local User
* Ramp User Role → Local Role
* Ramp User Role → Local Permission

This document provides steps to enable the Veza integration and connect to Ramp.

### Configuring Ramp

To configure the Ramp integration, follow these steps:

1. Log in to Ramp with a developer account able to access the [developer dashboard](https://app.ramp.com/home/ramp-developer)
2. Create a new app by navigating to **Settings → Ramp Developer → Create new app**. Save the Client Identifier and Client Secret for your app.
3. Add **Client Credentials** in **Grant types**.
4. Configure and enable allowed scopes
   * `users:read`
   * `departments:read`

### Configuring Ramp on the Veza Platform

To configure the Ramp OAA integration on the Veza platform, follow these steps:

1. Log in to Veza as an administrator.
2. Go to **Integrations**.
3. Click **Add Integration** and select **Ramp** from the integration list.
4. Enter the following values and save the integration:
   * Ramp URL: URL for the Ramp API endpoint, including the protocol.
   * Ramp Client Identifier: The client ID used to access the Ramp API.
   * Ramp Client Secret: The client secret (API key) used to access the Ramp API.

### Supported Entities

#### User

| Property     | Description                                                        |
| ------------ | ------------------------------------------------------------------ |
| `email`      | User's login                                                       |
| `status`     | User’s status                                                      |
| `is_manager` | True if the current user is a manager, else False                  |
| `role`       | User’s Role name                                                   |
| `manager_id` | User's manager ID                                                  |
| `department` | User’s Department name                                             |
| `is_active`  | True if the user status is USER\_ACTIVE, else False                |
| `full_admin` | True if the role is BUSINESS\_OWNER or BUSINESS\_ADMIN, else False |
| `manager`    | User’s manager name                                                |

User status can be:

* `INVITE_DELETED`
* `INVITE_EXPIRED`
* `INVITE_PENDING`
* `USER_ACTIVE`
* `USER_ONBOARDING`
* `USER_SUSPENDED`

#### Group

| Property | Description                 |
| -------- | --------------------------- |
| `id`     | Group’s ID provided by Ramp |
| `name`   | Group's name                |

#### Role

| Property | Description                |
| -------- | -------------------------- |
| `id`     | Role's ID provided by Ramp |
| `name`   | Role's name                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/integrations/integrations/ramp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
